@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: "Roboto", sans-serif;
    font-optical-sizing: auto;
    font-weight: 200;
    font-style: normal;
    font-variation-settings: "wdth" 100;
}

header{
    width: 100%;
    height: 50px;
    background-color: #444;
    position: fixed;
    top: 0;
    left: 0;
    color: #fff;
    z-index: 100;
}

.contenedor{
    margin: auto;
    width: 90%;
}

header .contenedor{
    display: table;
}
.menu{
    position: absolute;
    width: 100%;
    height: 200px;
    top: 50px;
    left: 0;
    background-color: #555;
    transition: all 0.1s ease;
    transform: translateX(-100%);
}

.menu a{
    color: #fff;
    text-decoration: none;
    display: block;
    height: 50px;
    padding: 15px;
}

header label{
    float: right;
    cursor: pointer;
    margin: 15px;
}

/* media query */
@media (min-width: 1200px){
    .menu{
        position: static;
        height: auto;
        width: auto;
        transform: translateX(0%);
        float: right;
        display: flex;
    }
    .contenedor label{
        display: none;
    }
}

#menu_bar:checked ~ .menu{
    transform: translateX(0%);
}

#menu_bar{
    display: none;
}

.menu a:hover{
    box-shadow: 1px 1px 2px gray;
    background-color: #777;
}
